﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.RichText;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            InitContent();

        }

        private void InitContent()
        {
            ParagraphNode pn = this.createParagraphNode();
            AddText(pn, null, "This is some sample text to show how text can added and styled in code. If you need the text ");
        }

        private ParagraphNode createParagraphNode()
        {
            ParagraphNode pn = new ParagraphNode();
            this.xamRichTextEditor1.Document.RootNode.Body.ChildNodes.Add(pn);
            return pn;
        }

        private void AddText(ParagraphNode pn, CharacterSettings cs, string content)
        {
            RunNode rn = new RunNode();
            rn.SetText(content);
            if (cs != null) rn.Settings = cs;
            pn.ChildNodes.Add(rn);
        }
    }
}
